984d3631e02709648fac773a716d6d6c3e1db495
[releng/global-jjb.git] / .jjb-test / expected-xml / github-ciman-jjb-deploy-job
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty plugin="github">
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14       <displayName/>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>LFTOOLS_VERSION</name>
65           <description>Version of lftools to install. Can be a specific version like
66 '0.6.0' or a PEP-440 definition.
67 https://www.python.org/dev/peps/pep-0440/
68 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
69 </description>
70           <defaultValue>&lt;1.0.0</defaultValue>
71         </hudson.model.StringParameterDefinition>
72       </parameterDefinitions>
73     </hudson.model.ParametersDefinitionProperty>
74   </properties>
75   <scm class="hudson.plugins.git.GitSCM">
76     <configVersion>2</configVersion>
77     <userRemoteConfigs>
78       <hudson.plugins.git.UserRemoteConfig>
79         <name>origin</name>
80         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
81         <url>git@github.com:example-org/releng/ciman</url>
82         <credentialsId>test-credential</credentialsId>
83       </hudson.plugins.git.UserRemoteConfig>
84     </userRemoteConfigs>
85     <branches>
86       <hudson.plugins.git.BranchSpec>
87         <name>$sha1</name>
88       </hudson.plugins.git.BranchSpec>
89     </branches>
90     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
91     <remotePoll>false</remotePoll>
92     <gitTool>Default</gitTool>
93     <submoduleCfg class="list"/>
94     <reference/>
95     <gitConfigName/>
96     <gitConfigEmail/>
97     <extensions>
98       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
99         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
100       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
101       <hudson.plugins.git.extensions.impl.SubmoduleOption>
102         <disableSubmodules>false</disableSubmodules>
103         <recursiveSubmodules>true</recursiveSubmodules>
104         <trackingSubmodules>false</trackingSubmodules>
105         <parentCredentials>false</parentCredentials>
106         <reference/>
107         <timeout>10</timeout>
108       </hudson.plugins.git.extensions.impl.SubmoduleOption>
109       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
110     </extensions>
111   </scm>
112   <triggers class="vector">
113     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
114       <spec/>
115       <adminlist/>
116       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
117       <whitelist/>
118       <orgslist/>
119       <whiteListLabels/>
120       <blackListLabels/>
121       <cron/>
122       <triggerPhrase>^jjb-deploy (?!\*+$).+$</triggerPhrase>
123       <skipBuildPhrase/>
124       <onlyTriggerPhrase>true</onlyTriggerPhrase>
125       <useGitHubHooks>true</useGitHubHooks>
126       <permitAll>true</permitAll>
127       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
128       <extensions>
129         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
130           <commitStatusContext>JJB Deploy Job</commitStatusContext>
131         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
132       </extensions>
133     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
134   </triggers>
135   <builders>
136     <EnvInjectBuilder>
137       <info>
138         <propertiesContent>PIP_PACKAGES=jenkins-job-builder</propertiesContent>
139       </info>
140     </EnvInjectBuilder>
141     <hudson.tasks.Shell>
142       <command>#!/bin/bash
143 # SPDX-License-Identifier: EPL-1.0
144 ##############################################################################
145 # Copyright (c) 2017 The Linux Foundation and others.
146 #
147 # All rights reserved. This program and the accompanying materials
148 # are made available under the terms of the Eclipse Public License v1.0
149 # which accompanies this distribution, and is available at
150 # http://www.eclipse.org/legal/epl-v10.html
151 ##############################################################################
152 # pip install packages into a virtualenv using the first listed package as venv name
153 #
154 # PIP_PACKAGES is a space separated list of pypi packages to install. The first
155 #              listed package is used as the virtualenv directory name.
156 echo &quot;---&gt; pip-install.sh&quot;
157
158 # Ensure we fail the job if any steps fail.
159 # DO NOT set -u as virtualenv's activate script has unbound variables
160 set -e -o pipefail
161
162 # Install git-review using virtualenv to the latest version that supports
163 # --reviewers option, available through pip install. Existing minion image has a
164 # version that does not have it.
165 virtualenv &quot;/tmp/v/${PIP_PACKAGES%% *}&quot;
166 # shellcheck source=/tmp/v/venv/bin/activate disable=SC1091
167 source &quot;/tmp/v/${PIP_PACKAGES%% *}/bin/activate&quot;
168 pip install --quiet --upgrade pip
169 pip install --quiet --upgrade pipdeptree
170
171 # PIP_PACKAGES needs to be passed through as a space separated list of packages
172 # shellcheck disable=SC2086
173 pip install --upgrade $PIP_PACKAGES
174
175 echo &quot;----&gt; Pip Dependency Tree&quot;
176 pipdeptree
177 </command>
178     </hudson.tasks.Shell>
179     <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
180       <managedFiles>
181         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
182           <fileId>jjbini-sandbox</fileId>
183           <targetLocation>$HOME/.config/jenkins_jobs/jenkins_jobs.ini</targetLocation>
184           <variable/>
185         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
186       </managedFiles>
187     </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
188     <hudson.tasks.Shell>
189       <command>#!/bin/bash
190 # SPDX-License-Identifier: EPL-1.0
191 ##############################################################################
192 # Copyright (c) 2017 The Linux Foundation and others.
193 #
194 # All rights reserved. This program and the accompanying materials
195 # are made available under the terms of the Eclipse Public License v1.0
196 # which accompanies this distribution, and is available at
197 # http://www.eclipse.org/legal/epl-v10.html
198 ##############################################################################
199 # Push a job to jenkins-sandbox via Gerrit / GitHub comment
200 # Comment Pattern: jjb-deploy JOB_NAME
201 # JOB_NAME: Can also include * wildcards too. Additional parameters are ignored.
202 echo &quot;---&gt; jjb-deploy-job.sh&quot;
203
204 # Ensure we fail the job if any steps fail.
205 set -e -o pipefail
206
207 # shellcheck source=/tmp/v/jenkins-job-builder/bin/activate disable=SC1091
208 source &quot;/tmp/v/jenkins-job-builder/bin/activate&quot;
209
210 echo &quot;-----&gt; Fetching project&quot;
211 git fetch origin &quot;$GERRIT_REFSPEC&quot; &amp;&amp; git checkout FETCH_HEAD
212
213 # If not Gerrit Trigger than assume GitHub
214 COMMENT=&quot;${GERRIT_EVENT_COMMENT_TEXT:-$ghprbCommentBody}&quot;
215 JOB_NAME=$(echo &quot;$COMMENT&quot; | grep jjb-deploy | awk '{print $2}')
216
217 # Strip all * characters to prevent pushing all jobs to Jenkins
218 if [ -z &quot;${JOB_NAME//\*/}&quot; ]; then
219     echo &quot;ERROR: JOB_NAME cannot be empty or '*'.&quot;
220     exit 1
221 fi
222
223 jenkins-jobs update --recursive --workers 4 jjb/ &quot;$JOB_NAME&quot;
224 </command>
225     </hudson.tasks.Shell>
226   </builders>
227   <publishers>
228     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
229       <buildSteps>
230         <hudson.tasks.Shell>
231           <command>#!/bin/bash
232 # SPDX-License-Identifier: EPL-1.0
233 ##############################################################################
234 # Copyright (c) 2017 The Linux Foundation and others.
235 #
236 # All rights reserved. This program and the accompanying materials
237 # are made available under the terms of the Eclipse Public License v1.0
238 # which accompanies this distribution, and is available at
239 # http://www.eclipse.org/legal/epl-v10.html
240 ##############################################################################
241 echo &quot;---&gt; sysstat.sh&quot;
242 set +e  # DON'T fail build if script fails.
243
244 OS=$(facter operatingsystem)
245 case &quot;$OS&quot; in
246     Ubuntu)
247         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
248
249         # Dont run the script when systat is not enabled by default
250         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
251             exit 0
252         fi
253     ;;
254     CentOS|RedHat)
255         SYSSTAT_PATH=&quot;/var/log/sa&quot;
256     ;;
257     *)
258         # nothing to do
259         exit 0
260     ;;
261 esac
262
263 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
264 mkdir -p &quot;$SAR_DIR&quot;
265 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
266 # convert sar data to ascii format
267 while IFS=&quot;&quot; read -r sarfilenum
268 do
269     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
270 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
271
272 # DON'T fail build if script fails.
273 exit 0
274 </command>
275         </hudson.tasks.Shell>
276         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
277           <managedFiles>
278             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
279               <fileId>jenkins-log-archives-settings</fileId>
280               <targetLocation/>
281               <variable>SETTINGS_FILE</variable>
282             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
283           </managedFiles>
284         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
285         <EnvInjectBuilder>
286           <info>
287             <propertiesContent>SERVER_ID=logs</propertiesContent>
288           </info>
289         </EnvInjectBuilder>
290         <hudson.tasks.Shell>
291           <command>#!/bin/bash
292 # SPDX-License-Identifier: EPL-1.0
293 ##############################################################################
294 # Copyright (c) 2017 The Linux Foundation and others.
295 #
296 # All rights reserved. This program and the accompanying materials
297 # are made available under the terms of the Eclipse Public License v1.0
298 # which accompanies this distribution, and is available at
299 # http://www.eclipse.org/legal/epl-v10.html
300 ##############################################################################
301 echo &quot;---&gt; create-netrc.sh&quot;
302
303 # Ensure we fail the job if any steps fail.
304 set -eu -o pipefail
305
306 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
307 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
308     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
309     -v x:username -o &quot;:&quot; -v x:password \
310     &quot;$SETTINGS_FILE&quot;)
311
312 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
313 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
314 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
315
316 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
317 </command>
318         </hudson.tasks.Shell>
319         <hudson.tasks.Shell>
320           <command>#!/bin/bash
321 # SPDX-License-Identifier: EPL-1.0
322 ##############################################################################
323 # Copyright (c) 2017 The Linux Foundation and others.
324 #
325 # All rights reserved. This program and the accompanying materials
326 # are made available under the terms of the Eclipse Public License v1.0
327 # which accompanies this distribution, and is available at
328 # http://www.eclipse.org/legal/epl-v10.html
329 ##############################################################################
330 echo &quot;---&gt; lftools-install.sh&quot;
331
332 # Script to install lftools via a version passed in via lf-infra-parameters
333 #
334 # Required parameters:
335 #
336 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
337 #                      set to a strict version number like '1.2.3' or using
338 #                      PEP-440 definitions.
339 #
340 #                      Examples:
341 #                          &lt;1.0.0
342 #                          &gt;=1.0.0,&lt;2.0.0
343 #
344 # By default a released version of lftools should always be used.
345 # The purpose of the 2 variables below is so that lftools devs can test
346 # unreleased versions of lftools. There are 2 methods to install a dev version
347 # of lftools:
348 #
349 #     1) gerrit patch: Used to test a patch that has not yet been merged.
350 #                      To do this set something like this:
351 #                          LFTOOLS_MODE=gerrit
352 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
353 #
354 #     2) git branch: Used to install an lftools version from a specific branch.
355 #                    To use this set the variables as follows:
356 #                          LFTOOLS_MODE=git
357 #                          LFTOOLS_REFSPEC=master
358 #
359 #     3) release : The intended use case and default setting.
360 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
361
362 LFTOOLS_MODE=release  # release | git | gerrit
363 LFTOOLS_REFSPEC=master
364
365 # Ensure we fail the job if any steps fail.
366 # DO NOT set -u as virtualenv's activate script has unbound variables
367 set -e -o pipefail
368
369 virtualenv --quiet &quot;/tmp/v/lftools&quot;
370 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
371 source &quot;/tmp/v/lftools/bin/activate&quot;
372 pip install --quiet --upgrade pip
373
374 case $LFTOOLS_MODE in
375     gerrit)
376         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
377         pushd /tmp/lftools
378         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
379         git checkout FETCH_HEAD
380         pip install --quiet --upgrade -r requirements.txt
381         pip install --quiet --upgrade -e .
382         popd
383         ;;
384
385     git)
386         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
387         ;;
388
389     release)
390         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
391             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
392         fi
393
394         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
395         ;;
396 esac
397
398 lftools --version
399
400 # pipdeptree prints out a lot of information because lftools pulls in many
401 # dependencies. Let's only print it if we want to debug.
402 # echo &quot;----&gt; Pip Dependency Tree&quot;
403 # pip install --quiet --upgrade pipdeptree
404 # pipdeptree
405
406 #!/bin/bash
407 # SPDX-License-Identifier: EPL-1.0
408 ##############################################################################
409 # Copyright (c) 2017 The Linux Foundation and others.
410 #
411 # All rights reserved. This program and the accompanying materials
412 # are made available under the terms of the Eclipse Public License v1.0
413 # which accompanies this distribution, and is available at
414 # http://www.eclipse.org/legal/epl-v10.html
415 ##############################################################################
416 echo &quot;---&gt; logs-deploy.sh&quot;
417
418 # Ensure we fail the job if any steps fail.
419 set -eu -o pipefail
420
421 set -x  # Trace commands for this script to make debugging easier.
422
423 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
424 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
425
426 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
427 then
428     set +x # Disable trace since we no longer need it
429
430     echo &quot;WARNING: Logging server not set&quot;
431 else
432     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
433     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
434     BUILD_URL=&quot;${BUILD_URL}&quot;
435
436     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
437     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
438
439     set +x  # Disable trace since we no longer need it.
440
441     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
442 fi
443 </command>
444         </hudson.tasks.Shell>
445         <hudson.tasks.Shell>
446           <command>#!/bin/bash
447 # SPDX-License-Identifier: EPL-1.0
448 ##############################################################################
449 # Copyright (c) 2017 The Linux Foundation and others.
450 #
451 # All rights reserved. This program and the accompanying materials
452 # are made available under the terms of the Eclipse Public License v1.0
453 # which accompanies this distribution, and is available at
454 # http://www.eclipse.org/legal/epl-v10.html
455 ##############################################################################
456
457 # Clear log credential files
458 rm &quot;$SETTINGS_FILE&quot;
459 rm ~/.netrc
460 </command>
461         </hudson.tasks.Shell>
462         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
463           <regexp>^Build logs: .*</regexp>
464         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
465       </buildSteps>
466       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
467       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
468       <markBuildUnstable>false</markBuildUnstable>
469     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
470     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
471       <patterns>
472         <hudson.plugins.ws__cleanup.Pattern>
473           <pattern>**/*.jenkins-trigger</pattern>
474           <type>EXCLUDE</type>
475         </hudson.plugins.ws__cleanup.Pattern>
476       </patterns>
477       <deleteDirs>false</deleteDirs>
478       <cleanupMatrixParent>false</cleanupMatrixParent>
479       <externalDelete/>
480       <cleanWhenSuccess>true</cleanWhenSuccess>
481       <cleanWhenUnstable>true</cleanWhenUnstable>
482       <cleanWhenFailure>true</cleanWhenFailure>
483       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
484       <cleanWhenAborted>true</cleanWhenAborted>
485       <notFailBuild>true</notFailBuild>
486     </hudson.plugins.ws__cleanup.WsCleanup>
487   </publishers>
488   <buildWrappers>
489     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
490     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
491       <timeoutMinutes>5</timeoutMinutes>
492       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
493       <failBuild>true</failBuild>
494       <writingDescription>false</writingDescription>
495       <timeoutPercentage>0</timeoutPercentage>
496       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
497       <timeoutType>absolute</timeoutType>
498     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
499     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
500     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
501       <user>test-credential</user>
502     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
503     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
504     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
505       <managedFiles>
506         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
507           <fileId>npmrc</fileId>
508           <targetLocation>$HOME/.npmrc</targetLocation>
509           <variable/>
510         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
511       </managedFiles>
512     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
513   </buildWrappers>
514 </project>